data:extend {
    {
        name = "robot_sparks",
        type = "animation",
        layers = util.table.deepcopy(data.raw["construction-robot"]["construction-robot"].sparks)
    },
    {
        type = "selection-tool",
        name = "peppermint-tool",
        icon = "__Peppermint_Mining_Improved__/blueprint.png",
        icon_size = 64,
        icon_mipmaps = 3,
        flags = { "hidden", "spawnable" },
        stack_size = 1,
        selection_color = { r = 0, g = 1, b = 0 },
        alt_selection_color = { r = 1, g = 0, b = 0 },
        selection_mode = { "any-entity", "not-same-force" },
        alt_selection_mode = { "any-entity", "not-same-force" },
        selection_cursor_box_type = "copy",
        alt_selection_cursor_box_type = "not-allowed",
        entity_type_filters = { "resource" },
        entity_filter_mode = "whitelist",
        --alt_entity_filters = {"resource"},
        alt_entity_filter_mode = "whitelist"
    },
    {
        type = "shortcut",
        name = "peppermint-tool",
        --order = "a[yarm]",
        action = "spawn-item",
        item_to_spawn = "peppermint-tool",
        style = "default",
        icon = {
            filename = "__Peppermint_Mining_Improved__/blueprint.png",
            priority = "extra-high-no-scale",
            size = 64,
            icon_mipmaps = 3,
            scale = 1,
            flags = { "icon" },
        },
        small_icon = {
            filename = "__Peppermint_Mining_Improved__/blueprint.png",
            priority = "extra-high-no-scale",
            size = 64,
            icon_mipmaps = 3,
            scale = 1,
            flags = { "icon" },
        },
        disabled_small_icon = {
            filename = "__Peppermint_Mining_Improved__/blueprint.png",
            priority = "extra-high-no-scale",
            size = 64,
            icon_mipmaps = 3,
            scale = 1,
            flags = { "icon" },
        },
    },
}
